# PS page generation

Автогенерация страниц на [wiki.miem](https://wiki.miem.hse.ru/) для участников проектной школы МИЭМ.

## Запуск
Для запуска необходимо установить необходимые зависимости:  
```
pip install -r requirements.txt 
```

Написать конфигурационный файл config.ini в следующем формате:
> ВАЖНО: Кавычки писать не надо!
```
# config.ini
[taiga]
host = https://track.miem.hse.ru/
username = ***
password = ***
project_slug = ps
[wiki]
url = https://wiki-dev.miem.vmnet.top/graphql
token = ***
path = ps/members4/
```
Где:
* taiga
    * host - хост для taiga
    * username - логин/почта от taiga
    * password - пароль
    * project_slug - slug проекта
* wiki
    * url - адрес хоста wiki
    * token - токен для доступа к wiki
    * path - путь к создаваемым страницам в wiki (Важно, чтобы он заканчивался на '/')

Запустить проект
```
python main.py
```

## Возможные ошибки
* Может возникнуть проблема с авторизацией в тайге, так как все акаунты внутри МИЭМ автоматически авторизовывались через gmail и пароля для тайги нет. Проблема решается добавлением пароля через настройки профиля в тайге
* Страницы могут не создаться, если директория содержит файлы с одинаковым путем

