'''
Module for getting infromation from taiga
'''
from .person import Person
from taiga.models.models import Membership
from taiga import TaigaAPI
from configparser import SectionProxy

class TaigaReader():
    '''
    object to read information from taiga
    '''

    def __init__(self, taiga_config: SectionProxy) -> (None):
        '''
        Constructor to TaigaReader
        '''
        self._api = TaigaAPI(host=taiga_config['host'])
        self._api.auth(taiga_config['username'], taiga_config['password'])
        self._project_slug = taiga_config['project_slug']

    def create_person(self, member: Membership) -> (Person):
        '''
        Create Person with member and request to getting information from user
        '''
        print(type(member))
        user = self._api.users.get(member.user)
        roles = self._api.projects.get_by_slug(self._project_slug).list_roles()
        role_name = str(roles.get(id=member.role).name)
        return Person(member, user, role_name)

    def get_persons(self):
        '''
        function for connecting to taiga at host, with username and password
        and getting information about users from project by project_slug
        '''
        members = self._api.projects.get_by_slug(self._project_slug).list_memberships()
        return map(self.create_person, members)